module Main
where

import Test.DocTest
import System.FilePath.Find ((==?), always, extension, find)

find_lib_sources :: IO [FilePath]
find_lib_sources = find always (extension ==? ".hs") "harbl/src/"

find_cli_sources :: IO [FilePath]
find_cli_sources = find always (extension ==? ".hs") "harbl-cli/src/"

main :: IO ()
main = do
  lib_sources <- find_lib_sources
  cli_sources <- find_cli_sources
  let sources = lib_sources ++ cli_sources
  let flags = ["-iharbl/src", "-iharbl-cli/src", "-idist/build/autogen"]
  doctest $ flags ++ sources
